/*

Released in the public domain

History:

february 9th, 2003   David TAILLANDIER     Initial release


###########################################################################

All parameters here are setable by the final-programmer to allow to
program to correspond to the target computer.

*/

#if !defined _LCD_LIB_CONF_H_
#define _LCD_LIB_CONF_H_

#define LCD_PORT_DATA     0x378
#define LCD_PORT_CONTROL  0x37A
#define LCD_DELAY          4000         /* delay in 'bogo'-second between */
                                        /* each pin-level change          */
#define LCD_ORIENTATION       1         /* 0=up   1=down */

/* masks for control pins */
#define PPORT_STROBE      1   /* (bit 0, pin 1)  1=low  0=high (inverted) */
#define PPORT_AUTOFEED    2   /* (bit 1, pin 14) 1=low  0=high (inverted) */
#define PPORT_INIT        4   /* (bit 2, pin 16) 1=high 0=low  (normal)   */
#define PPORT_SELECT      8   /* (bit 3, pin 17) 1=low  0=high (inverted) */
#define PPORT_XOR      0x0B   /* invertion mask */

/* pin assignement */
#define LCD_E_PIN      PPORT_STROBE    /* ENABLE-pin is connected to ...           */
#define LCD_DI_PIN     PPORT_AUTOFEED  /* DATA/INSTRUCTION-pin is connected to ... */
#define LCD_CS1_PIN    PPORT_INIT      /* CHIP-SELECT-1-pin is connected to ...    */
#define LCD_CS2_PIN    PPORT_SELECT    /* CHIP-SELECT-2-pin is connected to ...    */


#endif

/*########################### END OF FILE #################################*/
